com.google.gwt.core.server

## Class LocalizableInstantiator

- java.lang.Object
- - com.google.gwt.core.server.ServerGwtBridge.ClassInstantiatorBase
  - - com.google.gwt.core.server.LocalizableInstantiator

All Implemented Interfaces:
  ServerGwtBridge.ClassInstantiator

    class LocalizableInstantiator
    extends ServerGwtBridge.ClassInstantiatorBase
    implements ServerGwtBridge.ClassInstantiator

Instantiator that knows how to lookup locale-specific implementations. It tries pkg.class_locale (including nested classes), pkg.impl.class_locale, and pkg.classImpl_locale, following the inheritance chain for the requested locale.

### Constructor Summary

Constructors
Constructor and Description
`LocalizableInstantiator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `create(java.lang.Class<?> clazz, ServerGwtBridge.Properties properties)` Create an instance given a base class.

### Methods inherited from class com.google.gwt.core.server.ServerGwtBridge.ClassInstantiatorBase

`tryCreate, tryCreate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalizableInstantiator

    LocalizableInstantiator()

### Method Detail

#### create

    public <T> T create(java.lang.Class<?> clazz,
                        ServerGwtBridge.Properties properties)

Description copied from interface: `ServerGwtBridge.ClassInstantiator`
Create an instance given a base class. The created class may be a subtype of the requested class.

Specified by:
  `create` in interface `ServerGwtBridge.ClassInstantiator`
Returns:
  instance or null if unable to create